<?php
// el motor rpc ya esta desactivado..

require('startinclude.php');

$camara=parametro('camara',0);



$totalcamaras=0;
$maxima=0;
$minima=0;
$estado=0;
//sleep(5);
$titulowin=array();
$id_camara=array();
$nsensores=array();
leer_sesion();
$num_temp=0;

$nombre_sensor=array();
$id_sensor=array();
$t=array(); // temperaturas.
$limite=array(); // limite temperaturas.
$estado_window=array(); // estado visual de cada window.

jsinicio();


function jelemento($ventana,$elemento,$htm) {
	$tmp = "if (imarco.contentWindow.document.getElementById('$elemento')) { ";
	$tmp.= "imarco.contentWindow.document.getElementById('$elemento').innerHTML='$htm';";
	$tmp.= " } \n";
	return $tmp;
}
function jelementovalor($ventana,$elemento,$htm) {
	$tmp = "if (imarco.contentWindow.document.getElementById('$elemento')) { ";
	$tmp.= "imarco.contentWindow.document.getElementById('$elemento').value='$htm';";
	$tmp.= " } \n";
	return $tmp;
}

function jelementolocal($elemento,$htm) {
	// elemento local (siempre esta).
	$tmp= "document.getElementById('$elemento').innerHTML='$htm';\n";	
	return $tmp;
}

function jclase($ventana,$elemento,$clase) {
	$tmp = "if (imarco.contentWindow.document.getElementById('$elemento')) { ";
	$tmp .= "   imarco.contentWindow.document.getElementById('$elemento').className='$clase';";
	$tmp.=" } \n";
	return $tmp;
}

for ($i=0;$i<$totalcamaras;$i++) {
	if (isset($_COOKIE["estado_camara".$i])) {
		$estado_window[$i]=$_COOKIE["estado_camara".$i];
	} else {
		$estado_window[$i]='off';
	}
	leer_temperatura(&$t,$i,&$maxima,&$minima,&$estado,&$nombre_sensor,&$num_temp,&$limite);
	echo jelementolocal('caming_minima'.$i,$t['minima_v']); //."(".$nombre_sensor[$t['minima']].")");
	echo jelementolocal('caming_maxima'.$i,$t['maxima_v']);
	echo jelementolocal('caming_titulo'.$i,$titulowin[$i]);
	
	echo "imarco=document.getElementById('iventana$i').contentWindow.document.getElementById('iframe2');\n";
	echo "if (imarco) { \n";
	
	switch ($estado_window[$i]) {
		case 'normal':			
			echo jelemento($i,'celmin',($t['minima_v'])."(".$nombre_sensor[$t['minima']].")");
			echo jelemento($i,'celmax',($t['maxima_v'])."(".$nombre_sensor[$t['minima']].")");
			echo jelemento($i,'celestado',$a_estado[$estado]);
			break;
		case 'sensor':
			//echo jclase($i,'valor0',"alerta");
			for ($e=0;$e<$num_temp;$e++) {
				if ($t[$e]==-66.6) {				
				echo jclase($i,'valor'.$e,"offline");
				echo jclase($i,'celnombre'.$e,"offline");
				echo jelemento($i,'valor'.$e,"--");
				} else {
				echo jclase($i,'celnombre'.$e,"ok");
				echo jclase($i,'valor'.$e,"ok");
				echo jelemento($i,'valor'.$e,$t[$e]);
				//echo jelementovalor($i,'iminima'.$e,$limite[$e]['limite_minimo']);
				//echo jelementovalor($i,'imaxima'.$e,$limite[$e]['limite_maximo']);
				}
				
			}
		break;
	}
	echo "}\n";
}

//echo "};";
echo "activar();\n";

jsfin();










?>